## patman 1.2.2%2Bdfsg

=== debian/changelog ===
patman (1.2.2+dfsg-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:53:38 +0100

patman (1.2.2+dfsg-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Do not hardcode tools in upstream Makefile
    Closes: #928447

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2019 08:56:07 +0200

patman (1.2.2+dfsg-5) unstable; urgency=medium

  * Secure URI in Homepage
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 15:47:17 +0100

patman (1.2.2+dfsg-4) unstable; urgency=medium

  * Better fix for #884795, thanks Aaron M. Ucko

 -- Graham Inggs <ginggs@debian.org>  Thu, 21 Dec 2017 15:28:56 +0000

patman (1.2.2+dfsg-3) unstable; urgency=medium

  * Disable PIE on x32 (Closes: #884795)

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Dec 2017 19:25:52 +0000

patman (1.2.2+dfsg-2) unstable; urgency=medium

  * Drop -march=k8 from build options
    Closes: #884342

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2017 09:52:16 +0100

patman (1.2.2+dfsg-1) unstable; urgency=low

  [ Charles Plessy ]
  * Initial release (Closes: #482555)

 -- Andreas Tille <tille@debian.org>  Wed, 13 Dec 2017 20:49:09 +0100

## patman 1.2.2+dfsg

=== Makefile ===
# PatMaN DNA pattern matcher
# (C) 2007 Kay Pruefer, Udo Stenzel
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.  See the LICENSE file for details.

prefix := ${HOME}
version := 1.2

TARGETS := patman
OBJS := prefix_tree.o fasta.o main.o
CPPFLAGS += -Wall 
CPPFLAGS += -O3 -funroll-loops -DNDEBUG -march=k8
# CPPFLAGS += -ggdb
LDLIBS += -lpopt

all: $(TARGETS)

patman:	$(OBJS)
	g++ $(CPPFLAGS) -o $@ $(OBJS) $(LDFLAGS) $(LDLIBS)

%.o:	%.cpp
	g++ -DVERSION="\"$(version)\"" $(CPPFLAGS) -c -o $@ $<

install: $(TARGETS)
	install -d ${prefix}/bin
	install -d ${prefix}/share/man/man1
	install -s -m755 $^ ${prefix}/bin
	install -m644 patman.1 ${prefix}/share/man/man1
	
fasta.o: fasta.h 
prefix_tree.o: prefix_tree.h global.h
main.o: fasta.h prefix_tree.h global.h

.SUFFIXES:

.PHONY: clean mrproper dist all

dist: all
	$(MAKE) clean
	strip $(TARGETS)

clean:	
	-rm -f $(OBJS)
	
mrproper: clean
	-rm -r $(TARGETS)

=== debian/changelog ===
patman (1.2.2+dfsg-8) unstable; urgency=medium

  * uscan can't fetch latest upstream since https certificate became invalid
    thus silencing the uscan error by providing a fake watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 06 Oct 2021 15:13:42 +0200

patman (1.2.2+dfsg-7) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * d/u/metadata: yamllint

  [ Shruti Sridhar ]
  * Add data for autopkgtests
  * Add autopkgtests
  * Install examples and docs

  [ Andreas Tille ]
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Sun, 20 Sep 2020 23:54:59 +0530

=== debian/control ===
Source: patman
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libpopt-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/patman
Vcs-Git: https://salsa.debian.org/med-team/patman.git
Homepage: https://bioinf.eva.mpg.de/patman/
Rules-Requires-Root: no

Package: patman
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: rapid alignment of short sequences to large databases
 Patman searches for short patterns in large DNA databases, allowing
 for approximate matches. It is optimized for searching for many small
 pattern at the same time, for example microarray probes.

=== debian/watch ===
# uscan can't fetch latest upstream since https certificate became invalid
# thus silencing the uscan error by providing a fake watch file
version=4

opts=dversionmangle=s/.*/0.No-Track/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamTrackingForThisPackage-(\d\S+)\.gz

#opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
#   https://bioinf.eva.mpg.de/patman/ patman-(.*)\.tar\.gz
